Bug 1904679 - [Feature:ImageInfo] Image info should display information about images
Summary: [Feature:ImageInfo] Image info should display information about images
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: oc
Version: 4.7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.7.0
Assignee: Maciej Szulik
QA Contact: zhou ying
URL:
Whiteboard:
: 1908919 (view as bug list)
Depends On:
Blocks: 1895107
TreeView+ depends on / blocked
 
Reported: 2020-12-05 14:31 UTC by Oleg Bulatov
Modified: 2021-02-24 15:40 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
[sig-imageregistry][Feature:ImageInfo] Image info should display information about images [Suite:openshift/conformance/parallel]
Last Closed: 2021-02-24 15:38:11 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift origin pull 25744 0 None closed Bug 1904679: drop docker.io from image tests 2021-01-11 08:37:26 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:40:03 UTC

Description Oleg Bulatov 2020-12-05 14:31:55 UTC
Description of problem:

This test uses image from docker.io. As docker.io has rate limits, we shouldn't use it in our tests.

Actual result:

https://prow.ci.openshift.org/view/gs/origin-ci-test/pr-logs/pull/openshift_okd-machine-os/31/pull-ci-openshift-okd-machine-os-master-e2e-aws/1335147714454753280

+ oc image info docker.io/library/mysql:latest
error: unable to read image docker.io/library/mysql:latest: toomanyrequests: You have reached your pull rate limit. You may increase the limit by authenticating and upgrading: https://www.docker.com/increase-rate-limit

Additional info:

https://search.ci.openshift.org/?search=failed.*Image+info+should+display+information+about+images&maxAge=48h&context=1&type=build-log&name=master-e2e&maxMatches=5&maxBytes=20971520&groupBy=job

Comment 1 jamo luhrsen 2020-12-17 22:41:31 UTC
*** Bug 1908919 has been marked as a duplicate of this bug. ***

Comment 6 errata-xmlrpc 2021-02-24 15:38:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.